version: 1
formatters:
  brief:
    format: '%(message)s'
  precise:
    format: '[%(levelname)s  %(name)s %(module)s:%(lineno)s - %(funcName)s() - %(asctime)s]\n\t %(message)s \n'
    datefmt: '%d/%m/%Y %H:%M:%S'
handlers:
  file:
    class: logging.handlers.RotatingFileHandler
    formatter: precise
    filename: /var/log/tape-audio-restoration/server.log
    maxBytes: 10485760
    backupCount: 3
  console:
    class: logging.StreamHandler
    formatter: brief
loggers:
  uvicorn:
    level: INFO
    handlers: [file, console]
    propagate: no